

End of support notice: On October 7, 2026, AWS will end support for Amazon FinSpace. After October 7, 2026, you will no longer be able to access the FinSpace console or FinSpace resources. For more information, see [Amazon FinSpace end of support](https://docs.aws.amazon.com/finspace/latest/userguide/amazon-finspace-end-of-support.html). 

After careful consideration, we decided to end support for Amazon FinSpace, effective October 7, 2026. Amazon FinSpace will no longer accept new customers beginning October 7, 2025. As an existing customer with an Amazon FinSpace environment created before October 7, 2025, you can continue to use the service as normal. After October 7, 2026, you will no longer be able to use Amazon FinSpace. For more information, see [Amazon FinSpace end of support](https://docs.aws.amazon.com/finspace/latest/management-api/amazon-finspace-end-of-support.html). 

# ListKxClusterNodes
<a name="API_ListKxClusterNodes"></a>

Lists all the nodes in a kdb cluster.

## Request Syntax
<a name="API_ListKxClusterNodes_RequestSyntax"></a>

```
GET /kx/environments/environmentId/clusters/clusterName/nodes?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListKxClusterNodes_RequestParameters"></a>

The request uses the following URI parameters.

 ** [clusterName](#API_ListKxClusterNodes_RequestSyntax) **   <a name="finspace-ListKxClusterNodes-request-uri-clusterName"></a>
A unique name for the cluster.  
Length Constraints: Minimum length of 3. Maximum length of 63.  
Pattern: `^[a-zA-Z0-9][a-zA-Z0-9-_]*[a-zA-Z0-9]$`   
Required: Yes

 ** [environmentId](#API_ListKxClusterNodes_RequestSyntax) **   <a name="finspace-ListKxClusterNodes-request-uri-environmentId"></a>
A unique identifier for the kdb environment.  
Length Constraints: Minimum length of 1. Maximum length of 32.  
Pattern: `^[a-z0-9]+$`   
Required: Yes

 ** [maxResults](#API_ListKxClusterNodes_RequestSyntax) **   <a name="finspace-ListKxClusterNodes-request-uri-maxResults"></a>
The maximum number of results to return in this request.  
Valid Range: Minimum value of 0. Maximum value of 100.

 ** [nextToken](#API_ListKxClusterNodes_RequestSyntax) **   <a name="finspace-ListKxClusterNodes-request-uri-nextToken"></a>
A token that indicates where a results page should begin.  
Length Constraints: Minimum length of 1. Maximum length of 1000.  
Pattern: `.*` 

## Request Body
<a name="API_ListKxClusterNodes_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListKxClusterNodes_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "nodes": [ 
      { 
         "availabilityZoneId": "string",
         "launchTime": number,
         "nodeId": "string",
         "status": "string"
      }
   ]
}
```

## Response Elements
<a name="API_ListKxClusterNodes_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_ListKxClusterNodes_ResponseSyntax) **   <a name="finspace-ListKxClusterNodes-response-nextToken"></a>
A token that indicates where a results page should begin.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1000.  
Pattern: `.*` 

 ** [nodes](#API_ListKxClusterNodes_ResponseSyntax) **   <a name="finspace-ListKxClusterNodes-response-nodes"></a>
A list of nodes associated with the cluster.  
Type: Array of [KxNode](API_KxNode.md) objects

## Errors
<a name="API_ListKxClusterNodes_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception or failure.  
HTTP Status Code: 500

 ** LimitExceededException **   
A service limit or quota is exceeded.  
HTTP Status Code: 400

 ** ResourceNotFoundException **   
One or more resources can't be found.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_ListKxClusterNodes_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/finspace-2021-03-12/ListKxClusterNodes) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/finspace-2021-03-12/ListKxClusterNodes) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/finspace-2021-03-12/ListKxClusterNodes) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/finspace-2021-03-12/ListKxClusterNodes) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/finspace-2021-03-12/ListKxClusterNodes) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/finspace-2021-03-12/ListKxClusterNodes) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/finspace-2021-03-12/ListKxClusterNodes) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/finspace-2021-03-12/ListKxClusterNodes) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/finspace-2021-03-12/ListKxClusterNodes) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/finspace-2021-03-12/ListKxClusterNodes) 